Subject: Re: [PATCH 1/5] Add functions producing system time given a backing counter value

From: Peter Zijlstra <[email-masked]>
Date: Wed, 29 Jul 2015 14:35:55 +0200

On Wed, Jul 29, 2015 at 01:48:41PM +0200, Richard Cochran wrote:
> On Wed, Jul 29, 2015 at 12:49:44PM +0200, Peter Zijlstra wrote:
> > This is still fuzzy, right? The hardware ART timestamp could be from
> > _before_ the NTP adjust; or the NTP adjust could happen while we do this
> > conversion and we'll take the retry loop.
> 
> In the original series, yes.
>  
> > In both cases, the resulting value is computed using a different slope
> > than was in effect at the time of the stamp. With the end result being
> > slightly off from what it should be.
> 
> In Thomas' patch the get_ts() is meant to read fresh pairs of time
> stamps from within the loop.

Ah, indeed, I missed that. Yes if that's possible we get it right.